# eDF Release 'PoC' [WiP]

This is a preliminary README in 'WiP' state - it's just sketching the story and structure of work.

When we reach the 'PoC' milestone it will be replaced by a short and concise README as the main documentation entry point for our customers who want to consume the 'edf_poc' product.

## POC Content Structure

* [Part 1 - User documentation](https://jira.telekom-mms.com/browse/IPCEICIS-368)
* Part 2 - Hands On
    * [Part 2.1 - Local IdP creation](https://jira.telekom-mms.com/browse/IPCEICIS-765)
    * [Part 2.2 - OSC IdP creation](https://jira.telekom-mms.com/browse/IPCEICIS-766)
    * Part 2.1 & 2.2 Use Cases
        * [Part 2.x.1 - Golden Path template for a Go application](https://jira.telekom-mms.com/browse/IPCEICIS-514)
        * [Part 2.x.2 - Fibonacci Go application](https://jira.telekom-mms.com/browse/IPCEICIS-759)
        * [Part 2.x.3 - Forgejo Actions with respect to the Fibonacci CI/CD](https://jira.telekom-mms.com/browse/IPCEICIS-760)
        * [Part 2.x.4 - Telemetry with respect to the Fibonacci workload](https://jira.telekom-mms.com/browse/IPCEICIS-761)
        * [Part 2.x.5 - OSC infrastructure with respect to the Fibonacci workload](https://jira.telekom-mms.com/browse/IPCEICIS-762)
        * [Part 2.x.6 - Additional bells and whistles](https://jira.telekom-mms.com/browse/IPCEICIS-763)
    * [Part 2.3 - Extended Local IdP creation and orchestration](https://jira.telekom-mms.com/browse/IPCEICIS-767)
    * Part 2.3 Use Cases
        * tbd
* [Part 3 - User documentation](https://jira.telekom-mms.com/browse/IPCEICIS-768)


## Content and Story

This is the Storybook of the PoC content structure (content is depicted top right): 

![](./content-and-storybook.png)

## Use case content of 2.1 and 2.2 'Hands On'

This is the illustration of the [use cases (aka 'functionality') in the PoC content](https://confluence.telekom-mms.com/display/IPCEICIS/Proof+of+Concept+2024): 

![](./use-cases.png)

## Technical composition

The 'edf_poc'-product should be as self-contained as possible. 

Thus all parts coming from upstream repos should have a physical copy in this repo with a reference to the upstream repo. Therefore we need a mapping table from parts here to references in upstreams.

Alternative: Submodules

Proposal: The final product will be a export of the repo
